List SSL certificates

GET/v1/ssl_certificates

This GET request sent to /v1/ssl_certificates will display a list of all the SSL certificates you have on the account.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

FieldDetails
search_pattern?
string

This pattern is used to return resources containing the parameter value in its name.

label_selector?
string

This parameter will filter results by labels. More details in the Labels section.

per_page?
integer

Default: 20

Range: 1–100

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

page?
integer

Default: 1

Min: 1

The number of a page (>= 1) that will be returned. By default, it's 1.

sorting?
string

Value in: "id", "created_at", "updated_at"

Default: "id"

This parameter sorts items. By default, it's id. Also, it's possible to sort by updated_at and created_at parameters.

direction?
string

Value in: "ASC", "DESC"

Default: "ASC"

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/ssl_certificates"
[  {    "id": "pnel5aKB",    "name": "name93",    "type": "custom",    "issuer": null,    "subject": "example-70.com",    "domain_names": [],    "sha1_fingerprint": "96dbb0e68f9014c7f4733e131b3253eb05e259b3",    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    },    "expires_at": null,    "created_at": "2026-05-28T06:55:38Z",    "updated_at": "2026-05-28T06:55:38Z"  }]